# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.83"
name = "dag-ml-data-core"
version = "0.1.0-alpha.0"
authors = ["G. Beurier <beurier@cirad.fr>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Core data contracts, schemas and plans for dag-ml-data."
homepage = "https://github.com/GBeurier/dag-ml-data"
readme = false
license = "CECILL-2.1 OR AGPL-3.0-or-later"
repository = "https://github.com/GBeurier/dag-ml-data"

[lib]
name = "dag_ml_data_core"
path = "src/lib.rs"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.sha2]
version = "0.10"

[dependencies.thiserror]
version = "2.0"
